> For the complete documentation index, see [llms.txt](https://api-docs.visadoc.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.visadoc.co/api-reference/users.md).

# Users

## Get the current authenticated user

> Get the current authenticated user\
> \<br />\<br />\
> \<b>Authentication:\</b> required

```json
{"openapi":"3.0.0","info":{"title":"v3","version":"0.0.1"},"servers":[{"url":"https://api.visadoc.co/api:v3"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}}},"paths":{"/users/me":{"get":{"operationId":"v3/users/me|GET","summary":"Get the current authenticated user","description":"Get the current authenticated user\n<br /><br />\n<b>Authentication:</b> required","tags":["users"],"parameters":[],"responses":{"200":{"description":"Success!","content":{"application/json":{"schema":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":""},"created_at":{"type":"integer","format":"int64","description":""},"name":{"type":"string","description":"","nullable":true},"first_name":{"type":"string","description":""},"last_name":{"type":"string","description":""},"email":{"type":"string","description":""},"role":{"type":"string","description":"","enum":["Manager","Applicant","superAdmin","Admin","Sales"]},"avatar_url":{"type":"string","description":"","nullable":true},"company_name":{"type":"string","description":""}}}}}},"400":{"description":"Input Error. Check the request payload for issues."},"401":{"description":"Unauthorized"},"403":{"description":"Access denied. Additional privileges are needed access the requested resource."},"404":{"description":"Not Found. The requested resource does not exist."},"429":{"description":"Rate Limited. Too many requests."},"500":{"description":"Unexpected error"}}}}}}
```
